View Issue Details

IDProjectCategoryView StatusLast Update
0004176SymmetricDSBugpublic2019-12-09 12:27
ReporternrichardsonAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.0 
Target Version3.11.2Fixed in Version3.11.2 
Summary0004176: When conflict detection column is null receive NPE
DescriptionThe conflict detection column is part of the source entry and set to NULL.

After transmitting data the following stacktrace happened:
java.lang.NullPointerException
                at org.jumpmind.symmetric.io.data.writer.DefaultDatabaseWriterConflictResolver.isTimestampNewer(DefaultDatabaseWriterConflictResolver.java:101)
                at org.jumpmind.symmetric.io.data.writer.AbstractDatabaseWriterConflictResolver.needsResolved(AbstractDatabaseWriterConflictResolver.java:77)
                at org.jumpmind.symmetric.io.data.writer.AbstractDatabaseWriter.write(AbstractDatabaseWriter.java:212)
                at org.jumpmind.symmetric.io.data.writer.NestedDataWriter.write(NestedDataWriter.java:64)
                at org.jumpmind.symmetric.model.ProcessInfoDataWriter.write(ProcessInfoDataWriter.java:84)
                at org.jumpmind.symmetric.io.data.writer.NestedDataWriter.write(NestedDataWriter.java:64)
                at org.jumpmind.symmetric.io.data.writer.TransformWriter.write(TransformWriter.java:201)
                at org.jumpmind.symmetric.io.data.DataProcessor.forEachDataInTable(DataProcessor.java:212)
                at org.jumpmind.symmetric.io.data.DataProcessor.forEachTableInBatch(DataProcessor.java:178)
                at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:124)
                at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1080)
                at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1057)
                at java.util.concurrent.FutureTask.run(FutureTask.java:266)
                at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
                at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
                at java.lang.Thread.run(Thread.java:748)

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 f0252abe

2019-12-05 13:58:52

admin

Details Diff
0004176: When conflict detection column is null receive NPE
0004176
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File

Issue History

Date Modified Username Field Change
2019-12-02 15:47 nrichardson New Issue
2019-12-02 15:48 nrichardson Project SymmetricDS Pro => SymmetricDS
2019-12-05 13:59 elong Assigned To => elong
2019-12-05 13:59 elong Status new => resolved
2019-12-05 13:59 elong Resolution open => fixed
2019-12-05 13:59 elong Category Improvement => Bug
2019-12-05 13:59 elong Fixed in Version => 3.11.2
2019-12-05 13:59 elong Target Version => 3.11.2
2019-12-05 14:00 admin Changeset attached => SymmetricDS 3.11 f0252abe
2019-12-09 12:27 admin Status resolved => closed